Subject: Re: StGIT: "stg refresh -e/--edit" to refresh patch and edit description no longer works

From: Jakub Narebski <[email-masked]>
Date: Fri, 14 Dec 2007 17:01:42 +0100

On Fri, 14 Dec 2007, Catalin Marinas wrote:
> On 14/12/2007, Jakub Narebski <[email-masked]> wrote:
>>
>> The command I used quite often in my StGIT workflow, namely
>> "stg refresh -e", which used to refresh patch and launch editor to edit
>> commit (patch) description no longer works in Stacked GIT 0.14.1.
>>
>> I used it when new (refreshed) changes needed also changes in commit
>> description (commit message). Now I have to run two commands:
>> "stg refresh" and "stg edit".
> 
> Well, people complained that 'refresh -e' is misleading and a separate
> command is needed. It's not difficult to move the editing
> functionality out of stgit.commands.edit and re-add the --edit option
> to refresh (while also keeping the separate edit command).

First, the "misleading" part could be corrected by renaming long option
to --edit-description or --edit-message. Second "stg refresh -e" matches
non-StGIT usage of "git commit --amend"; and it is damn useful to have
it as one command, not two. 

> I'm a bit busy with home/family commitments until the new year.

I'll wait. As I am not running StGIT master, but released version,
I would have to waith nevertheless on next release.

TIA
-- 
Jakub Narebski
Poland